Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ tests/regression/Makefile.am	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -121,11 +121,19 @@
 	$(srcdir)/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
 	$(srcdir)/Selection/Molecules/testsuite-selection-molecules.at \
-	$(srcdir)/Selection/Molecules/AllMolecules/testsuite-selection-all-molecules.at \
+	$(srcdir)/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at \
+	$(srcdir)/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at \
 	$(srcdir)/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at \
-	$(srcdir)/Selection/Molecules/MoleculeByFormula/testsuite-selection-molecules-by-formula.at \
-	$(srcdir)/Selection/Molecules/MoleculeById/testsuite-selection-molecule-by-id.at \
-	$(srcdir)/Selection/Molecules/MoleculeByName/testsuite-selection-molecules-by-name.at \
-	$(srcdir)/Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at \
-	$(srcdir)/Selection/Molecules/MoleculeOfAtom/testsuite-selection-atoms-molecules.at \
+	$(srcdir)/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at \
+	$(srcdir)/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at \
+	$(srcdir)/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at \
+	$(srcdir)/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at \
+	$(srcdir)/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at \
+	$(srcdir)/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at \
+	$(srcdir)/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at \
+	$(srcdir)/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at \
+	$(srcdir)/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at \
+	$(srcdir)/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at \
+	$(srcdir)/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at \
+	$(srcdir)/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
 	$(srcdir)/Tesselation/testsuite-tesselation.at \
 	$(srcdir)/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-all-molecules.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,85 +1,0 @@
-### 1. (un)select all molecules
-
-
-AT_SETUP([Selection - All Molecules])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=box.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All Molecules with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All Molecules with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=box.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Molecules])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Molecules with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=box.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Molecules with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 1. (un)select all molecules
+
+
+AT_SETUP([Selection - All Molecules])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All Molecules with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All Molecules with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 1. (un)select all molecules
+
+
+AT_SETUP([Unselection - All Molecules])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All Molecules with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All Molecules with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-all-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-molecules-by-formula.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,181 +1,0 @@
-### 3. (un)select molecules by formula
-
-
-AT_SETUP([Selection - Molecule by formula])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=ethanol.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=benzene.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by formula with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by formula with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=ethanol.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=benzene.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by formula])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=water_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=ethanol_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=benzene_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by formula with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=mix.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=mix.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=mix.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by formula with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=water_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=ethanol_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
-srcfile=mix.xyz
-testfile=test.xyz
-targetfile=benzene_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,91 @@
+### 3. (un)select molecules by formula
+
+
+AT_SETUP([Selection - Molecule by formula])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by formula with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by formula with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,91 @@
+### 3. (un)select molecules by formula
+
+
+AT_SETUP([Unselection - Molecule by formula])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by formula with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by formula with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-molecule-by-id.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,85 +1,0 @@
-### 4. (un)select molecules by id
-
-
-AT_SETUP([Selection - Molecule by id])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water_id4.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by id with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by id with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water_id4.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by id])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=id4_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by id with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=box.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by id with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=id4_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,44 @@
+### 4. (un)select molecules by id
+
+
+AT_SETUP([Selection - Molecule by id])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by id with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by id with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 4 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 4. (un)select molecules by id
+
+
+AT_SETUP([Unselection - Molecule by id])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=id4_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by id with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by id with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=id4_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-id 4 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-molecules-by-name.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,84 +1,0 @@
-### 5. (un)select molecule by name
-
-AT_SETUP([Selection - Molecules by name])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecules by name with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecules by name with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by name])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by name with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by name with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
-srcfile=test.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 5. (un)select molecule by name
+
+AT_SETUP([Selection - Molecules by name])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecules by name with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecules by name with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecule-by-id 0 --select-molecules-by-name \"water\" --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 5. (un)select molecule by name
+
+
+AT_SETUP([Unselection - Molecules by name])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecules by name with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecules by name with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
+srcfile=test.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-id 0 --change-molname \"water\" --unselect-molecules-by-name \"water\" --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,265 +1,0 @@
-### (un)select molecules by order
-
-
-AT_SETUP([Selection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=twowater.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id1.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
-srcfile=twowater.xyz
-testfile=test.xyz
-targetfile=water_id0.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,68 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, backward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,67 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, forward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,67 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, backward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,68 @@
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, forward])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-atoms-molecules.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ 	(revision )
@@ -1,84 +1,0 @@
-### 6. (un)select molecule from atom selection
-
-AT_SETUP([Selection - Molecules by atom selection])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecules by atom selection with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=empty.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - Molecules by atom selection with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by atom selection])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by atom selection with Undo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=box.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - Molecules by atom selection with Redo])
-AT_KEYWORDS([selection,molecule])
-
-regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
-srcfile=box.xyz
-testfile=test.xyz
-targetfile=water_missing.xyz
-AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
-AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,42 @@
+### 6. (un)select molecule from atom selection
+
+AT_SETUP([Selection - Molecules by atom selection])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecules by atom selection with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecules by atom selection with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-atom-by-id 0 --select-atoms-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,43 @@
+### 6. (un)select molecule from atom selection
+
+
+AT_SETUP([Unselection - Molecules by atom selection])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecules by atom selection with Undo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules --undo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecules by atom selection with Redo])
+AT_KEYWORDS([selection,molecule])
+
+regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --select-atom-by-id 0 --unselect-atoms-molecules --undo --redo -s $targetfile], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Molecules/testsuite-selection-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/testsuite-selection-molecules.at	(revision 7c958e3f7ce548c4bf2fc8abe3caa46d9990fd56)
+++ tests/regression/Selection/Molecules/testsuite-selection-molecules.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -4,5 +4,6 @@
 
 # (un)select all molecules
-m4_include(Selection/Molecules/AllMolecules/testsuite-selection-all-molecules.at)
+m4_include(Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at)
+m4_include(Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at)
 
 # clear molecule selection
@@ -10,15 +11,22 @@
 
 # (un)select molecules by formula
-m4_include(Selection/Molecules/MoleculeByFormula/testsuite-selection-molecules-by-formula.at)
+m4_include(Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at)
+m4_include(Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at)
 
 # (un)select molecule by id
-m4_include(Selection/Molecules/MoleculeById/testsuite-selection-molecule-by-id.at)
+m4_include(Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at)
+m4_include(Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at)
 
 # (un)select molecule by name
-m4_include(Selection/Molecules/MoleculeByName/testsuite-selection-molecules-by-name.at)
+m4_include(Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at)
+m4_include(Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at)
 
 # (un)select molecule by order
-m4_include(Selection/Molecules/MoleculeByOrder/testsuite-selection-molecule-by-order.at)
+m4_include(Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at)
+m4_include(Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at)
+m4_include(Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at)
+m4_include(Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at)
 
 # (un)select molecule from atom selection
-m4_include(Selection/Molecules/MoleculeOfAtom/testsuite-selection-atoms-molecules.at)
+m4_include(Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at)
+m4_include(Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at)
